Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class OrderingListTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.OrderingListTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class OrderingListTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OrderingListTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveItem(java.lang.String __activeItem)`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setBottomControlLabel(java.lang.String __bottomControlLabel)`
`void` | `setCaptionLabel(java.lang.String __captionLabel)`
`void` | `setCellClasses(java.lang.String __cellClasses)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setControlsHorizontalAlign(java.lang.String __controlsHorizontalAlign)`
`void` | `setControlsType(java.lang.String __controlsType)`
`void` | `setControlsVerticalAlign(java.lang.String __controlsVerticalAlign)`
`void` | `setDownControlLabel(java.lang.String __downControlLabel)`
`void` | `setFastOrderControlsVisible(java.lang.String __fastOrderControlsVisible)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setListHeight(java.lang.String __listHeight)`
`void` | `setListWidth(java.lang.String __listWidth)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`void` | `setOnbottomclick(java.lang.String __onbottomclick)`
`void` | `setOndownclick(java.lang.String __ondownclick)`
`void` | `setOnheaderclick(java.lang.String __onheaderclick)`
`void` | `setOnorderchanged(java.lang.String __onorderchanged)`
`void` | `setOntopclick(java.lang.String __ontopclick)`
`void` | `setOnupclick(java.lang.String __onupclick)`
`void` | `setOrderControlsVisible(java.lang.String __orderControlsVisible)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setSelection(java.lang.String __selection)`
`void` | `setShowButtonLabels(java.lang.String __showButtonLabels)`
`void` | `setSortIcon(java.lang.String __sortIcon)`
`void` | `setSortIconDown(java.lang.String __sortIconDown)`
`void` | `setSortIconUp(java.lang.String __sortIconUp)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setSubmittedValue(java.lang.String __submittedValue)`
`void` | `setTopControlLabel(java.lang.String __topControlLabel)`
`void` | `setUpControlLabel(java.lang.String __upControlLabel)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`
`void` | `setVar(java.lang.String __var)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderingListTag

    public OrderingListTag()

Method Detail

### setFooter

    public void setFooter(java.lang.String __footer)

### setOrderControlsVisible

    public void setOrderControlsVisible(java.lang.String __orderControlsVisible)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setSortIconDown

    public void setSortIconDown(java.lang.String __sortIconDown)

### setSortIconUp

    public void setSortIconUp(java.lang.String __sortIconUp)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setSortIcon

    public void setSortIcon(java.lang.String __sortIcon)

### setListWidth

    public void setListWidth(java.lang.String __listWidth)

### setVar

    public void setVar(java.lang.String __var)

### setRows

    public void setRows(java.lang.String __rows)

### setShowButtonLabels

    public void setShowButtonLabels(java.lang.String __showButtonLabels)

### setHeader

    public void setHeader(java.lang.String __header)

### setValid

    public void setValid(java.lang.String __valid)

### setFirst

    public void setFirst(java.lang.String __first)

### setSelection

    public void setSelection(java.lang.String __selection)

### setValidator

    public void setValidator(java.lang.String __validator)

### setCellClasses

    public void setCellClasses(java.lang.String __cellClasses)

### setSubmittedValue

    public void setSubmittedValue(java.lang.String __submittedValue)

### setActiveItem

    public void setActiveItem(java.lang.String __activeItem)

### setUpControlLabel

    public void setUpControlLabel(java.lang.String __upControlLabel)

### setControlsVerticalAlign

    public void setControlsVerticalAlign(java.lang.String __controlsVerticalAlign)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setOntopclick

    public void setOntopclick(java.lang.String __ontopclick)

### setOnheaderclick

    public void setOnheaderclick(java.lang.String __onheaderclick)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setOnorderchanged

    public void setOnorderchanged(java.lang.String __onorderchanged)

### setOnupclick

    public void setOnupclick(java.lang.String __onupclick)

### setBottomControlLabel

    public void setBottomControlLabel(java.lang.String __bottomControlLabel)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setRequired

    public void setRequired(java.lang.String __required)

### setOndownclick

    public void setOndownclick(java.lang.String __ondownclick)

### setOnbottomclick

    public void setOnbottomclick(java.lang.String __onbottomclick)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setTopControlLabel

    public void setTopControlLabel(java.lang.String __topControlLabel)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setControlsHorizontalAlign

    public void setControlsHorizontalAlign(java.lang.String __controlsHorizontalAlign)

### setListHeight

    public void setListHeight(java.lang.String __listHeight)

### setDownControlLabel

    public void setDownControlLabel(java.lang.String __downControlLabel)

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(java.lang.String __fastOrderControlsVisible)

### setCaptionLabel

    public void setCaptionLabel(java.lang.String __captionLabel)

### setControlsType

    public void setControlsType(java.lang.String __controlsType)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.